Subject: bug#64615: closed (Re: bug#64615: Build failure on head version (2df086))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 Sep 2023 15:51:02 +0000

Your bug report

#64615: Build failure on head version (2df086)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64615: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64615
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64615: Build failure on head version (2df086)
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: "Eric S. Raymond" <[email-masked]>, [email-masked]
Date: Tue, 5 Sep 2023 08:50:05 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: "Eric S. Raymond" <[email-masked]>
>> Date: Fri, 14 Jul 2023 11:08:01 -0400 (EDT)
>>
>> Doing ./configure && make under Ubuntu Linux, last few lines are
>>
>>  load("progmodes/prog-mode")
>>   load("loadup.el")
>> Eager macro-expansion failure: (void-function define-short-documentation-group)
>> make[2]: *** [Makefile:924: bootstrap-emacs.pdmp] Error 255
>> make[2]: Leaving directory '/mnt/ssd/home/esr/src/emacs/src'
>>
>> followed by make failure boilerplate.
>
> I cannot reproduce this.  I've just checked out a fresh clone and
> built it, and it passed the loadup step with no problems.
>
> Are you building from a clean tree?  Did you indeed use "./configure"
> with no options (I did), and if not, please show the options you used.
>
> P.S. I'm not on Ubuntu, if it matters, I'm on Trisquel.

No more updates within 2 months, so I'm closing this bug.

Eric, please report back if you are still seeing this and we can reopen
the bug.  Thanks.

Subject: Build failure on head version (2df086)
From: "Eric S. Raymond" <[email-masked]>
To: [email-masked]
Date: Fri, 14 Jul 2023 11:08:01 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Doing ./configure && make under Ubuntu Linux, last few lines are 

 load("progmodes/prog-mode")
  load("loadup.el")
Eager macro-expansion failure: (void-function define-short-documentation-group)
make[2]: *** [Makefile:924: bootstrap-emacs.pdmp] Error 255
make[2]: Leaving directory '/mnt/ssd/home/esr/src/emacs/src'

followed by make failure boilerplate.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>

"Are we to understand," asked the judge, "that you hold your own interests
above the interests of the public?"

"I hold that such a question can never arise except in a society of cannibals."
	-- Ayn Rand